/* html, body { height: 100%; }
.footer-element { 
  position: fixed; 
  bottom: 10px;
}
html, body { height: 100vh; }
.footer-element { 
  position: fixed; 
  bottom: calc(10px + (100vh - 100%));
} */

* {
    box-sizing: border-box;
    user-select: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

    /* transition: height 0.4s, width 0.4s; */
}

*:focus {
    outline: none;
}

.slide-arrow {
    -webkit-tap-highlight-color: transparent;
}

#footer_alert.for-mobile {
    bottom: -200px;
}
#footer_alert {
    background-color: rgba(255, 255, 255, 0.286);
    border: 1px solid;

    z-index: 100;
    max-height: 80px;
    height: max-content;
    width: max-content;
    max-width: 300px;
    overflow: hidden;
    border-radius: 3px;

    position: fixed;
    bottom: -100px;
    right: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    display: flex;
    align-items: flex-start;
    justify-content: left;
    gap: 15px;

    color: #737373;
    font-weight: 600;

    margin: 10px 0px;
    padding: 5px 15px;

    backdrop-filter: blur(7px);
    transition: bottom 0.4s;

    transition: transform 0.4s;
}

#footer_alert_symbol {
    height: 90%;
    width: 30px;
    object-fit: fill;
}

#overlay-screen {
    background-color: #00000055;
    top: 0px;
    left: 0px;
    z-index: 50;
    position: absolute;
    width: 100%;
    height: 100vh;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    backdrop-filter: blur(1px);
}

.clickable {
    cursor: pointer;
}

.clickable:target {
    filter: brightness(50%);

}

.close_btn_svg {
    height: 30px;
    aspect-ratio: 1/1;
}

.unimplemented,
.unimplemented * {
    filter: opacity(70%);
    cursor: not-allowed !important;
}

textarea:focus,
input:focus {
    border: none;
    outline: none;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

input::placeholder textarea::placeholder {
    color: #737373;
    font-weight: 500;
    opacity: 50%;
}

a {
    color: #00376b;
    font-weight: 500;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}


*::-webkit-scrollbar {
    border: 1px solid #dbdbdb;
    border-radius: 5px;
    width: 15px;
}

*::-webkit-scrollbar-button::backdrop {
    /* background-color: #efefef; */
    cursor: grab;
}

*::-webkit-scrollbar-thumb {
    background-color: rgb(236, 236, 236);
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}

[contenteditable]:focus {
    outline: 0px solid transparent;
    cursor: grab;
}

.red-dot {
    display: block;
    width: 7px;
    height: 7px;
    background-color: #ff3040;
    border-radius: 50%;
}